
Foreman - Feature #23626

Move PuppetCA autosigning to build queue

05/17/2018 03:14 PM - Julian Todt

Status: Closed   

Priority: Normal   

Assignee: Julian Todt   

Category: PuppetCA   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5580

  

Description

Currently foreman calls the smart proxy to create the autosign entry when the hosts requests its provisioning templates.

Since we want to rework how PuppetCa autosinging works in the future, it would be better to do this directly in the hosts build queue.

Related issues:

Related to Foreman - Feature #23210: PuppetCA: Token Based Autosigning Closed

Related to Foreman - Bug #24279: `handle_ca` still called in ssh provisioning... Closed

Associated revisions

Revision 4e68ddfe - 06/21/2018 01:25 PM - Julian Todt

Fixes #23626 - Move autosign to build queue

Revision a3d2c5fc - 06/25/2018 11:27 AM - Lukas Zapletal 

Refs #23626 - updated DNS orchestration test

Introduced by 23626 - Move autosign to build queue core patch.

History

#1 - 05/17/2018 03:15 PM - Julian Todt

- Related to Feature #23210: PuppetCA: Token Based Autosigning added

#2 - 05/17/2018 03:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5580 added

#3 - 06/21/2018 01:29 PM - Timo Goebel

- translation missing: en.field_release set to 353

#4 - 06/21/2018 02:01 PM - Julian Todt

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4e68ddfe501223b1d55edd0b90198d108603f259.

#5 - 07/19/2018 07:31 AM - Timo Goebel

- Related to Bug #24279: `handle_ca` still called in ssh provisioning even though the method was removed added
